<?php

use Illuminate\Database\Seeder;

class CustomerservicesettingTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('customerservicesettings')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'kefu.customerservicesetting.view',
                'name'      => 'View Customerservicesetting',
            ],
            [
                'slug'      => 'kefu.customerservicesetting.create',
                'name'      => 'Create Customerservicesetting',
            ],
            [
                'slug'      => 'kefu.customerservicesetting.edit',
                'name'      => 'Update Customerservicesetting',
            ],
            [
                'slug'      => 'kefu.customerservicesetting.delete',
                'name'      => 'Delete Customerservicesetting',
            ],
            /*
            [
                'slug'      => 'kefu.customerservicesetting.verify',
                'name'      => 'Verify Customerservicesetting',
            ],
            [
                'slug'      => 'kefu.customerservicesetting.approve',
                'name'      => 'Approve Customerservicesetting',
            ],
            [
                'slug'      => 'kefu.customerservicesetting.publish',
                'name'      => 'Publish Customerservicesetting',
            ],
            [
                'slug'      => 'kefu.customerservicesetting.unpublish',
                'name'      => 'Unpublish Customerservicesetting',
            ],
            [
                'slug'      => 'kefu.customerservicesetting.cancel',
                'name'      => 'Cancel Customerservicesetting',
            ],
            [
                'slug'      => 'kefu.customerservicesetting.archive',
                'name'      => 'Archive Customerservicesetting',
            ],
            */
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/kefu/customerservicesetting',
                'name'        => 'Customerservicesetting',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/kefu/customerservicesetting',
                'name'        => 'Customerservicesetting',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'customerservicesetting',
                'name'        => 'Customerservicesetting',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'key'      => 'kefu.customerservicesetting.key',
                'name'     => 'Some name',
                'value'    => 'Some value',
                'type'     => 'Default',
            ],
            */
        ]);
    }
}
