This is a Laravel 5 package that provides kefu management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `lavalite/kefu`.

    "lavalite/kefu": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Lavalite\Kefu\Providers\KefuServiceProvider::class,

```

And also add it to alias

```php
'Kefu'  => Lavalite\Kefu\Facades\Kefu::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Lavalite\Kefu\Providers\KefuServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Lavalite\Kefu\Providers\KefuServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Lavalite\Kefu\Providers\KefuServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Lavalite\Kefu\Providers\KefuServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Lavalite\Kefu\Providers\KefuServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Lavalite\Kefu\Providers\KefuServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


