<?php

namespace Lavalite\Kefu;

use User;

class Kefu
{
    /**
     * $customerservicesetting object.
     */
    protected $customerservicesetting;

    /**
     * Constructor.
     */
    public function __construct(\Lavalite\Kefu\Interfaces\CustomerservicesettingRepositoryInterface $customerservicesetting)
    {
        $this->customerservicesetting = $customerservicesetting;
    }

    /**
     * Returns count of kefu.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.customerservicesetting.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->customerservicesetting->pushCriteria(new \Litepie\Lavalite\Repositories\Criteria\CustomerservicesettingUserCriteria());
        }

        $customerservicesetting = $this->customerservicesetting->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('kefu::' . $view, compact('customerservicesetting'))->render();
    }
}
