<?php

namespace Lavalite\Kefu\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CustomerservicesettingItemTransformer extends TransformerAbstract
{
    public function transform(\Lavalite\Kefu\Models\Customerservicesetting $customerservicesetting)
    {
        return [
            'id'                => $customerservicesetting->getRouteKey(),
            'id'                => $customerservicesetting->id,
            'office_hours'      => $customerservicesetting->office_hours,
            'off_hours'         => $customerservicesetting->off_hours,
            'limit_number'      => $customerservicesetting->limit_number,
            'welcome_tips'      => $customerservicesetting->welcome_tips,
            'off_hours_tips'    => $customerservicesetting->off_hours_tips,
            'queue_tips'        => $customerservicesetting->queue_tips,
            'status'            => trans('app.'.$customerservicesetting->status),
            'created_at'        => format_date($customerservicesetting->created_at),
            'updated_at'        => format_date($customerservicesetting->updated_at),
        ];
    }
}